## org.hibernate.bytecode.javassist
Class ReflectionOptimizerImpl

    java.lang.Object
      org.hibernate.bytecode.javassist.ReflectionOptimizerImpl

All Implemented Interfaces:
  Serializable, ReflectionOptimizer

    public class ReflectionOptimizerImpl

extends Object
implements ReflectionOptimizer, Serializable

ReflectionOptimizer implementation for Javassist.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.bytecode.ReflectionOptimizer
`ReflectionOptimizer.AccessOptimizer, ReflectionOptimizer.InstantiationOptimizer`

Constructor Summary
`ReflectionOptimizerImpl(ReflectionOptimizer.InstantiationOptimizer instantiationOptimizer, ReflectionOptimizer.AccessOptimizer accessOptimizer)`

Method Summary
`ReflectionOptimizer.AccessOptimizer` `getAccessOptimizer()`
`ReflectionOptimizer.InstantiationOptimizer` `getInstantiationOptimizer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReflectionOptimizerImpl

    public ReflectionOptimizerImpl(ReflectionOptimizer.InstantiationOptimizer instantiationOptimizer,
                                   ReflectionOptimizer.AccessOptimizer accessOptimizer)

Method Detail

### getInstantiationOptimizer

    public ReflectionOptimizer.InstantiationOptimizer getInstantiationOptimizer()

  Specified by:
    `getInstantiationOptimizer` in interface `ReflectionOptimizer`

### getAccessOptimizer

    public ReflectionOptimizer.AccessOptimizer getAccessOptimizer()

  Specified by:
    `getAccessOptimizer` in interface `ReflectionOptimizer`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.